Bug 143307 - after in place upgrade from FC2 to FC3 all USB devices cause system to hang upon insertion. System will not boot with them installed.
after in place upgrade from FC2 to FC3 all USB devices cause system to hang u...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-18 11:16 EST by David Kennedy
Modified: 2015-01-04 17:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:06:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lspci on my machine (1.12 KB, text/plain)
2005-01-12 15:02 EST, Hans Hasert
no flags Details

  None (edit)
Description David Kennedy 2004-12-18 11:16:09 EST
Description of problem:
After doing an "in place upgrade" all USB devices hang system.
New hardware changes, all USB devices were working fine in Fedora core 2.

Identical to this users's issue:
http://www.linuxquestions.org/questions/showthread.php?s=&forumid=35&threadid=262925


Version-Release number of selected component (if applicable):


How reproducible:
Install previously working USB devices into system, instant hang.

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:
Motherboard : MSI 648 MAX
USB devices in question : 
Microsoft multimedia keyboard (worked in FC2)
UPS back up 500 (worked in FC2)

I've never submitted a bug before so please let me know what else you
need/want.
Comment 1 David Kennedy 2004-12-18 11:18:01 EST
Here is some of my log files..

Let me know what else i can do to help.

Here is a relevent section of my logs.

As stated, these USB devices worked fine before i in place upgraded to
FC3.

Dec 18 11:02:21 mythtv kernel: ehci_hcd 0000:00:03.3: BIOS handoff
failed (112, 1010001)
Dec 18 11:02:21 mythtv kernel: ehci_hcd 0000:00:03.3: continuing after
BIOS bug...
Dec 18 11:02:21 mythtv kernel: ehci_hcd 0000:00:03.3: irq 5, pci mem
1286e000
Dec 18 11:02:21 mythtv kernel: ehci_hcd 0000:00:03.3: new USB bus
registered, assigned bus number 1
Dec 18 11:02:21 mythtv kernel: ehci_hcd 0000:00:03.3: USB 2.0 enabled,
EHCI 1.00, driver 2004-May-10
Dec 18 11:02:21 mythtv kernel: hub 1-0:1.0: USB hub found
Dec 18 11:02:21 mythtv kernel: hub 1-0:1.0: 6 ports detected
Dec 18 11:02:21 mythtv kernel: ACPI: PCI interrupt 0000:00:03.0[A] ->
GSI 5 (level, low) -> IRQ 5
Dec 18 11:02:21 mythtv kernel: ohci_hcd 0000:00:03.0: OHCI Host Controller
Dec 18 11:02:21 mythtv kernel: ohci_hcd 0000:00:03.0: irq 5, pci mem
128c4000
Dec 18 11:02:21 mythtv kernel: ohci_hcd 0000:00:03.0: new USB bus
registered, assigned bus number 2
Dec 18 11:02:21 mythtv kernel: hub 2-0:1.0: USB hub found
Dec 18 11:02:21 mythtv kernel: hub 2-0:1.0: 2 ports detected
Dec 18 11:02:21 mythtv kernel: ACPI: PCI interrupt 0000:00:03.1[B] ->
GSI 5 (level, low) -> IRQ 5
Dec 18 11:02:21 mythtv kernel: ohci_hcd 0000:00:03.1: OHCI Host Controller
Dec 18 11:02:21 mythtv kernel: ohci_hcd 0000:00:03.1: irq 5, pci mem
128c6000
Dec 18 11:02:21 mythtv kernel: ohci_hcd 0000:00:03.1: new USB bus
registered, assigned bus number 3
Dec 18 11:02:21 mythtv kernel: hub 3-0:1.0: USB hub found

Dec 18 11:02:21 mythtv kernel: hub 3-0:1.0: USB hub found
Dec 18 11:02:21 mythtv kernel: hub 3-0:1.0: 2 ports detected
Dec 18 11:02:21 mythtv kernel: ACPI: PCI interrupt 0000:00:03.2[C] ->
GSI 11 (level, low) -> IRQ 11
Dec 18 11:02:21 mythtv kernel: ohci_hcd 0000:00:03.2: OHCI Host Controller
Dec 18 11:02:21 mythtv kernel: ohci_hcd 0000:00:03.2: irq 11, pci mem
12900000
Dec 18 11:02:21 mythtv kernel: ohci_hcd 0000:00:03.2: new USB bus
registered, assigned bus number 4
Dec 18 11:02:21 mythtv kernel: hub 4-0:1.0: USB hub found
Dec 18 11:02:21 mythtv kernel: hub 4-0:1.0: 2 ports detected
Comment 2 Hans Hasert 2005-01-12 15:00:31 EST
I get the same hang with the newer kernels 2.6.9-1.724_FC3 and
2.6.10-1.737_FC3. The older versions worked fine for me. I started
with a fresh FC3 install and only experienced problems after the
installation of the newer kernels. Ofcourse I have installed more
packages during that time (all are installed on 12-01-2005, so I am up
to date), so maybe the kernel version is only an indication of the
timeframe after which the problem occurred.

Comment 3 Hans Hasert 2005-01-12 15:02:29 EST
Created attachment 109689 [details]
Output of lspci on my machine
Comment 4 Hans Hasert 2005-01-12 15:07:10 EST
Comment on attachment 109689 [details]
Output of lspci on my machine

>00:00.0 Host bridge: VIA Technologies, Inc. VT8366/A/7 [Apollo KT266/A/333]
>00:01.0 PCI bridge: VIA Technologies, Inc. VT8366/A/7 [Apollo KT266/A/333 AGP]
>00:09.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 50)
>00:09.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 50)
>00:09.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 51)
>00:0d.0 SCSI storage controller: Adaptec AHA-7850 (rev 03)
>00:0e.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8139/8139C/8139C+ (rev 10)
>00:0f.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 07)
>00:0f.1 Input device controller: Creative Labs SB Live! MIDI/Game Port (rev 07)
>00:11.0 ISA bridge: VIA Technologies, Inc. VT8233A ISA Bridge
>00:11.1 IDE interface: VIA Technologies, Inc. VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
>00:11.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 23)
>00:11.3 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1 Controller (rev 23)
>01:00.0 VGA compatible controller: nVidia Corporation NV20 [GeForce3 Ti 200] (rev a3)
----------------------------------------
My failing USB device is a memory stick. I have seen some problems on other
machines where the BIOS parameter 'Legacy USB Support' was configured as
'Enabled'. In my BIOS settings I have disabled it.
Comment 5 Hans Hasert 2005-01-12 15:25:34 EST
After some experimenting (and enableing the udev log), I have seen
that the first insert works fine, but that the second insert of the
device (after an unmount from gnome) fails. After the last entry in
the log I had to use the hardware switch.
--------------------------------------------------------------
Jan 12 21:15:59 nobody kernel: usb 2-1: new full speed USB device
using uhci_hcd and address 2
Jan 12 21:16:00 nobody kernel: Initializing USB Mass Storage driver...
Jan 12 21:16:00 nobody kernel: scsi1 : SCSI emulation for USB Mass
Storage devices
Jan 12 21:16:00 nobody kernel: usbcore: registered new driver usb-storage
Jan 12 21:16:00 nobody kernel: USB Mass Storage support registered.
Jan 12 21:16:05 nobody kernel:   Vendor:           Model: USB DISK Pro
     Rev: 1.17
Jan 12 21:16:05 nobody kernel:   Type:   Direct-Access               
      ANSI SCSI revision: 00
Jan 12 21:16:05 nobody kernel: SCSI device sda: 123904 512-byte hdwr
sectors (63 MB)
Jan 12 21:16:05 nobody kernel: sda: Write Protect is off
Jan 12 21:16:05 nobody kernel: sda: assuming drive cache: write through
Jan 12 21:16:05 nobody kernel: SCSI device sda: 123904 512-byte hdwr
sectors (63 MB)
Jan 12 21:16:05 nobody kernel: sda: Write Protect is off
Jan 12 21:16:05 nobody kernel: sda: assuming drive cache: write through
Jan 12 21:16:06 nobody kernel:  sda: sda1
Jan 12 21:16:06 nobody kernel: Attached scsi removable disk sda at
scsi1, channel 0, id 0, lun 0
Jan 12 21:16:06 nobody udev[5538]: creating device node '/dev/sda1'
Jan 12 21:16:06 nobody udev[5537]: creating device node '/dev/sda'
Jan 12 21:16:06 nobody 05-pam_console.dev[5543]: Restoring console
permissions for /dev/sda
Jan 12 21:16:06 nobody scsi.agent[5520]: disk at
/devices/pci0000:00/0000:00:09.1/usb2/2-1/2-1:1.0/host1/target1:0:0/1:0:0:0
Jan 12 21:16:06 nobody su(pam_unix)[5509]: session opened for user
root by hhasert(uid=500)
Jan 12 21:16:06 nobody 05-pam_console.dev[5551]: Restoring console
permissions for /dev/sda1
Jan 12 21:16:08 nobody fstab-sync[5575]: added mount point
/media/HANS_HASERT for /dev/sda1
Jan 12 21:16:08 nobody kernel: SELinux: initialized (dev sda1, type
vfat), uses genfs_contexts
Jan 12 21:16:23 nobody su(pam_unix)[5509]: session closed for user root
Jan 12 21:16:45 nobody udev[5639]: removing device node '/dev/sda1'
Jan 12 21:16:45 nobody udev[5650]: removing device node '/dev/sda'
Jan 12 21:16:45 nobody kernel: usb 2-1: USB disconnect, address 2
Jan 12 21:16:45 nobody fstab-sync[5693]: removed mount point
/media/HANS_HASERT for /dev/sda1
Jan 12 21:16:51 nobody kernel: usb 2-1: new full speed USB device
using uhci_hcd and address 3
Jan 12 21:16:51 nobody kernel: scsi2 : SCSI emulation for USB Mass
Storage devices
Comment 6 Dave Jones 2005-07-15 16:30:48 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 7 Dave Jones 2005-10-02 21:06:15 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.